## ros-indigo-concert-qt-teleop 0.7.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_qt_teleop)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install( 
    FILES concert_teleop_plugin.xml 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY ui
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-concert-qt-teleop (0.7.12-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Tue, 04 Aug 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.11-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.10-0trusty) trusty; urgency=high

  * use service name param to find resource capture topic
  * Contributors: Jihoon Lee

 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.9-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 29 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.8-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.7-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.6-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Fri, 27 Feb 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.5-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.4-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.3-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 28 Dec 2014 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.2-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.1-0trusty) trusty; urgency=high

  * shutdown_plugin hook to releasing resources resolves #165 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/165>
  * add concert_qt_make_a_map
  * resource chooser and teleop interface are now separated. rocon_teleop and concert_teleop works fine
  * concert teleop  now uese CaptureResource Pair
  * receives cmd vel and image topic from teleop service
  * Contributors: Jihoon Lee

 -- Donguk Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.7.0-0trusty) trusty; urgency=high

  * teleop namespacing for concert teleop closes #148 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/148>
  * oops
  * oops
  * use capture_timeout param
  * capture timeout parameter added, #122 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/122>.
  * use parameters to initialise maximum velocities, #121 <https://github.com/robotics-in-concert/rocon_qt_gui/issues/121>.
  * fix callback construction sequence (broke due to rocon/concert teleop
    refactoring).
  * fix callback construction sequence (broke due to rocon/concert teleop
    refactoring).
  * rocon_qt_teleop added.
  * rocon_logo -> joystick icon update.
  * minor bugfix to the remocon web browser callback and better feedback on teleop problems.
  * minor import name bugfix due to recent refactoring.
  * usage help message for concert_teleop
  * concert_teleop_app -> concert_qt_teleop to fit our naming scheme.
  * Contributors: Daniel Stonier, Jihoon Lee, Yujin, jihoonl

 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.5.4-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.5.3-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.5.2-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.5.1-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Mon, 10 Jun 2013 16:50:50 +0900

ros-indigo-concert-qt-teleop (0.5.0-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Sun, 26 May 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.3.1-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.3.0-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-concert-qt-teleop (0.2.0-0trusty) trusty; urgency=high



 -- Donguk Lee <dwlee@yujinrobot.com>  Wed, 30 Jan 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-qt-teleop
Section: misc
Priority: extra
Maintainer: Donguk Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_qt_teleop
Standards-Version: 3.9.2

Package: ros-indigo-concert-qt-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-qt-gui-py-common, ros-indigo-rocon-console, ros-indigo-rocon-qt-library, ros-indigo-rospy, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py
Description: An rqt plugin for teleop'ing concert robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-qt-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
